> For the complete documentation index, see [llms.txt](https://docs.imerit.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.imerit.net/sdk/sdk-documentation/organization-level-sdk-functions/send_notification.md).

# send\_notification

`imerit_ango.sdk.SDK.`

## send\_notification(receivers, message, title=None)

Send an in-app announcement to specific members of your organization.

The API key must belong to an organization administrator. Recipients must be members of the organization associated with the API key.

{% hint style="info" %}
This function is available in `imerit-ango` 1.4.7 and later.
{% endhint %}

### Parameters

* **receivers:** List\[str]
  * Email addresses of the members who should receive the notification.
  * You can include up to 100 unique addresses.
  * You cannot send a notification only to yourself.
* **message:** str
  * The notification message. Maximum length: 1000 characters.
* **title:** str, *Optional, Default None*
  * A title for the notification. Maximum length: 200 characters.

Returns:

* **output:** dict
  * A dictionary containing a `status` field and the created notification in `data.notification`.

<details open>

<summary><strong>How to verify in Ango Hub?</strong></summary>

After successfully sending the notification, recipients can open the notification panel from the bell icon in the top-right corner of Ango Hub. The notification shows the sender, optional title, and message.

</details>

### Example

{% tabs %}
{% tab title="python" %}

```python
import os
from dotenv import load_dotenv
from imerit_ango.sdk import SDK

load_dotenv('variables.env')
api_key = os.getenv('API_KEY')

ango_sdk = SDK(api_key)

sdk_response = ango_sdk.send_notification(
    receivers=["labeler@example.com", "reviewer@example.com"],
    title="Project update",
    message="The new task batch is ready for labeling."
)
```

{% endtab %}

{% tab title="curl" %}

```bash
curl -X POST "https://imeritapi.ango.ai/v2/notifications" \
  -H "Content-Type: application/json" \
  -H "apikey: $ANGO_API_KEY" \
  -d '{
    "receivers": [
      "labeler@example.com",
      "reviewer@example.com"
    ],
    "title": "Project update",
    "message": "The new task batch is ready for labeling."
  }'
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
**See also**

[Notifications](/core-concepts/notifications.md), [get\_organization\_members](/sdk/sdk-documentation/organization-level-sdk-functions/get_organization_members.md)
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.imerit.net/sdk/sdk-documentation/organization-level-sdk-functions/send_notification.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
